Riferimento API
Ogni endpoint accetta JSON e richiede l'header X-API-Key per l'autenticazione.
URL di base e header
- URL di base
https://horizon.pm/api/v1/app- X-API-Key
- La API key del tuo progetto. Inviala con ogni richiesta.
Endpoint disponibili
25 di 25
| Metodo | Percorso | Funzionalità | Copia l'URL |
|---|---|---|---|
| POST | /user-management/signup | Autenticazione | |
| POST | /user-management/signin | Autenticazione | |
| POST | /user-management/check-auth | Utenti | |
| POST | /user-management/change-name | Utenti | |
| GET | /player-profile | Profilo giocatore | |
| PUT | /player-profile | Profilo giocatore | |
| POST | /leaderboard/submit | Classifica | |
| GET | /leaderboards/{boardKey}/top | Classifica | |
| POST | /validated-actions/runs | Azioni convalidate | |
| POST | /validated-actions/submit | Azioni convalidate | |
| POST | /cloud-save/save | Salvataggio Cloud | |
| POST | /cloud-save/load | Salvataggio Cloud | |
| GET | /remote-config/{configKey} | Config Remota | |
| GET | /remote-config/all | Config Remota | |
| GET | /localization/{key} | Localizzazione | |
| GET | /localization/all | Localizzazione | |
| GET | /news | Notizie | |
| POST | /gift-codes/validate | Codici Regalo | |
| POST | /gift-codes/redeem | Codici Regalo | |
| POST | /email-sending/send | Invio Email | |
| GET | /email-sending/{emailId} | Invio Email | |
| POST | /crash-reports/session | Arresti anomali | |
| POST | /crash-reports/create | Arresti anomali | |
| POST | /user-feedback/submit | Feedback Utente | |
| POST | /user-logs/create | Log Utente |
Richiesta di esempio
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'